
QGIS Application - Bug report #13273

Strange things happen when splitting features

2015-08-27 01:50 AM - Oskar Karlin

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:2.10.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 21333

Description

After updating QGIS to version 2.10.1-Pisa the split feature tool goes nuts! I try to split a line and when I finish the split, the feature

completely transforms into something else. See attached image.

This worked fine in last version and the development version that I had installed ( QGIS_2.9-dev 2.9.0-Master (0f35192) )

Related issues:

Related to QGIS Application - Bug report # 13347: Split features and add ring... Closed 2015-09-11

Duplicated by QGIS Application - Bug report # 13241: split features Closed 2015-08-20

History

#1 - 2015-08-27 05:34 AM - Denis Rouzaud

I can't reproduce in master (don't have 2.10).

can you provide some test data?

#2 - 2015-08-27 06:02 AM - Oskar Karlin

- File example.zip added

here's the file.

I also tried the latest nightly from Dakotacartography and the problem occur in that version too.

#3 - 2015-08-29 10:19 PM - Paul Kanelli

confirmed (QGIS 2.10.1, Ubuntu 14.04)

#4 - 2015-09-13 04:57 AM - Saber Razmjooei

- OS version deleted (10.10.4)

- Operating System deleted (Mac OS X)

Another problem #13347 reported with split tool which I think is related.

#5 - 2015-09-15 07:25 AM - Saber Razmjooei
- Category set to Digitising

- Status changed from Open to Feedback

Could you try with master?

#6 - 2015-10-14 03:53 AM - Nyall Dawson

- Status changed from Feedback to Closed

- Resolution set to fixed/implemented

Reproducable in 2.10 but not in master.

Files

Screen_Shot_2015-08-27_at_10.46.48.png 30.4 KB 2015-08-26 Oskar Karlin

Screen_Shot_2015-08-27_at_10.47.02.png 77.2 KB 2015-08-26 Oskar Karlin

example.zip 10.2 KB 2015-08-27 Oskar Karlin
